package net.sjava.cassandra.util;

import java.io.UnsupportedEncodingException;
import java.nio.ByteBuffer;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 *  ϴ  Ÿ ȯ ִ Ŭ 
 * 
 * @author mcsong@gmail.com
 *
 */
public class ConverterUtil {
	
	/**
	 *  ByteBuffer String ȯѴ. 
	 *  
	 * @param buffer
	 * @return
	 * @throws UnsupportedEncodingException
	 */
	public static String byteBufferToString(ByteBuffer buffer) throws UnsupportedEncodingException  {
		byte[] bytes = new byte[buffer.limit() - buffer.position()];
		buffer.get(bytes);
		
		return new String(bytes, "UTF-8");
	}
	
	/**
	 * String ByteBuffer ȯѴ. 
	 * 
	 * @param str
	 * @return
	 * @throws UnsupportedEncodingException
	 */
	public static ByteBuffer stringToByteBuffer(String str) throws UnsupportedEncodingException  {
		return ByteBuffer.wrap(str.getBytes());
		
	}
	
	/**
	 * String charType 缭 ByteBuffer ȯѴ. 
	 * @param str
	 * @param charType
	 * @return
	 * @throws UnsupportedEncodingException
	 */
	public static ByteBuffer stringToByteBuffer(String str, String charType) throws UnsupportedEncodingException  {
		return ByteBuffer.wrap(str.getBytes(charType));
	}

	/**
	 * long  ByteBuffer ȯѴ. 
	 * 
	 * @param value
	 * @return
	 * @throws UnsupportedEncodingException
	 */
	public static ByteBuffer longToBytebuffer(long value) throws UnsupportedEncodingException  {
		// long type̶ 8byte ũ ´. 
		ByteBuffer valBuffer = ByteBuffer.allocate(8);
		valBuffer.putLong(value);
		valBuffer.flip();
		return valBuffer;
	}
	
	/**
	 * Ÿӽ ϰ ˿ 缭 ȯѴ. 
	 * 
	 * @param timestamp
	 * @return
	 */
	public static String getDateFormatString(long timestamp) {
		return new SimpleDateFormat("yyyy.MM.dd HH:mm").format(new Date(timestamp));
	}

}
